
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《Swift开发实战》——第2章，第2.4节函数和闭包 / iVAN</title>

    <meta name="description" content="《Swift开发实战》——第2章，第2.4节函数和闭包 2.4 函数和闭包 在本章前面的实例2-1中,testfunc就是一个函数.在Swift语言中,使用关键字func来声明一个函数,使用名字和参数来调用函数,使用&quot;→&quot;来指定函数返回值.例如,如下所示的演示代码. func greet(name: String, day: String) -&gt; String { return &quot;Hello \(name), today is \(day).&quot; } greet(&quot;Bob&quot;, &quot ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《Swift开发实战》——第2章，第2.4节函数和闭包</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>2.4 函数和闭包</strong><br />
在本章前面的实例2-1中，testfunc就是一个函数。在Swift语言中，使用关键字func来声明一个函数，使用名字和参数来调用函数，使用“→”来指定函数返回值。例如，如下所示的演示代码。</p>
<pre><code>func greet(name: String, day: String) -&gt; String {
    return "Hello \(name), today is \(day)."
}
greet("Bob", "Tuesday")
</code></pre>
<p>在Swift语言中，使用一个元组来返回多个值。例如，如下所示的演示代码。</p>
<pre><code>func getGasPrices() -&gt; (Double, Double, Double) {
    return (3.59, 3.69, 3.79)
}
getGasPrices()
</code></pre>
<p>在Swift语言中，函数可以带有可变个数的参数，这些参数在函数内表现为数组的形式。例如，如下所示的演示代码。</p>
<pre><code>func sumOf(numbers: Int...) -&gt; Int {
    var sum = 0
    for number in numbers {
        sum += number
    }
    return sum
}
sumOf()
sumOf(42, 597, 12)
</code></pre>
<p>在Swift语言中，可以使用嵌套函数，被嵌套的函数可以访问外侧函数的变量，也可以使用嵌套函数来重构一个太长或者太复杂的函数。例如，如下所示的演示代码。</p>
<pre><code>func returnFifteen() -&gt; Int {
    var y = 10
    func add() {
        y += 5
    }
    add()
    return y
}
returnFifteen()
</code></pre>
<p>在Swift语言中，一个函数可以作为另一个函数的返回值。例如，如下所示的演示代码。</p>
<pre><code>func makeIncrementer() -&gt; (Int -&gt; Int) {
    func addOne(number: Int) -&gt; Int {
        return 1 + number
    }
    return addOne
}
var increment = makeIncrementer()
increment(7)
</code></pre>
<p>在Swift语言中，函数可以当做参数被传入到另一个函数中。例如，如下所示的演示代码。</p>
<pre><code>func hasAnyMatches(list: Int[], condition: Int -&gt; Bool) -&gt; Bool {
    for item in list {
        if condition(item) {
            return true
        }
    }
    return false
}
func lessThanTen(number: Int) -&gt; Bool {
    return number &lt; 10
}
var numbers = [20, 19, 7, 12]
hasAnyMatches(numbers, lessThanTen)
</code></pre>
<p>在Swift语言中，函数实际上是一种特殊的闭包，可以使用“{}”来创建一个匿名闭包。使用关键字“in”将参数和返回值类型声明与闭包函数体进行分离。例如，如下所示的演示代码。</p>
<pre><code>numbers.map({
    (number: Int) -&gt; Int in
    let result = 3 * number
    return result
})
</code></pre>
<p>在Swift语言中，有很多种创建闭包的方法。如果已知一个闭包的类型，比如作为一个回调函数，那么就可以忽略参数的类型和返回值。单个语句闭包会把语句的值当做结果返回。例如，如下所示的演示代码。</p>
<pre><code>numbers.map({ number in 3 * number })
</code></pre>
<p>在Swift语言中，可以通过参数位置而不是参数名字来引用参数，这个方法在非常短的闭包中非常有用。当一个闭包作为最后一个参数传给一个函数时，这个闭包可以直接跟在括号后面。例如，如下所示的演示代码。</p>
<pre><code>sort([1, 5, 3, 12, 2]) { $0 &gt; $1 }
</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 17:50:42</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/list/" title="list">list</a>, <a href="https://www.iamivan.net/tag/swift/" title="swift">swift</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《Swift开发实战》——第2章，第2.4节函数和闭包的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boREo6z.html" rel="bookmark">《Swift开发实战》&mdash;&mdash;第16章，第16&period;1节下标脚本语法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第16章 下标脚本 Swift开发实战 在Swift语言中,类(class).结构体(structure)和枚举(enumeration)等目标中定义下标脚本,被认为是访问对象.集合或序列的快捷方式,不需要再调用实例的特定的赋值和访问方法.在本章的内容中,将详细讲解Swift下标脚本的基本知识. 16.1 下标脚本语法 在Swift语言中,可以使用下标脚本访问一个数组(Array)实例中的元素,参见如下所示的格式. someArray[index] 在访问字典(Dictionary)实例中的元素			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQjgL0M.html" rel="bookmark">《Swift开发实战》&mdash;&mdash;第2章，第2&period;1节千里之行，始于足下&mdash;&mdash;Swift语言基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章 千里之行,始于足下--Swift语言基础 Swift开发实战 Swift 是一种适用于 iOS 和 OS X 应用开发的全新编程语言,它建立在C和Objective-C语言基础之上,并且没有C语言的兼容性限制.Swift 采用安全的编程模式,增加了现代功能,使编程更容易.更灵活.更有趣.Swift 以成熟且备受宠爱的Cocoa和 Cocoa Touch 框架作为支撑,这是一个重新构建软件开发的机会.本章将带领大家学习Swift这门神奇语言的基本语法知识,为读者步入本书后面知识的学习打下基			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgPv05p.html" rel="bookmark">《Swift开发实战》&mdash;&mdash;第1章，第1&period;1节Swift概述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 工欲善其事,必先利其器--Swift语言基础Swift开发实战Swift是苹果公司在WWDC2014大会上所发布的一门全新的编程语言,用于编写OS X和iOS应用程序.苹果公司在设计Swift语言时,就有意让其和Objective-C共存,Objective-C是苹果操作系统在导入Swift前使用的编程语言.本章将带领大家初步认识Swift这门神奇的开发语言,让读者为学习本书后面的知识打下基础. 1.1 Swift概述Swift是一种为开发iOS和OS X应用程序而推出的全新编程语言,是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQgn8z.html" rel="bookmark">《Swift开发实战》&mdash;&mdash;导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目 录 内容简介 前 言 第1章 工欲善其事,必先利其器--Swift语言基础 1.1节Swift概述1.2节搭建开发环境1.3节使用Xcode开发环境1.4节启动iOS 8模拟器 第2章 千里之行,始于足下--Swift语言基础2.1节千里之行,始于足下--Swift语言基础2.2节简单值2.3节流程控制2.4节函数和闭包2.5节对象和类2.6节枚举和结构体2.7节协议和扩展2.8节泛型 第3章 新语言,新特性--Swift的基础语法 第4章 运算符 第5章 字符串和字符 第6章 表达式 第7			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvW8Eap.html" rel="bookmark">《Swift开发实战》&mdash;&mdash;第1章，第1&period;2节搭建开发环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 搭建开发环境都说&quot;工欲善其事,必先利其器&quot;,这一说法在编程领域同样行得通,学习Swift开发也离不开好的开发工具的帮助.在本节中,将详细讲解搭建Swift语言开发环境的基本知识. 1.2.1 Xcode 6介绍要开发iOS的应用程序,需要一台安装有Xcode工具的Mac OS X电脑.Xcode是苹果提供的开发工具集,它提供了项目管理.代码编辑.创建执行程序.代码调试.代码库管理和性能调节等功能.这个工具集的核心就是Xcode程序,提供了基本的源代码开发环境. Xcode是一款			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJAnr8p.html" rel="bookmark">《Swift开发实战》&mdash;&mdash;第2章，第2&period;5节对象和类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.5 对象和类 在Swift语言中,使用关键字class和类名来创建一个类.在类中声明属性的方法和声明常量.变量的方法一样,唯一的区别就是它们的上下文是类.同样,声明方法和声明函数的方法也一样.例如,下面的演示代码定义了一个名为Shape的类. class Shape { var numberOfSides = 0 func simpleDescription() -&gt; String { return &quot;A shape with \(numberOfSides) sides.&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0R890z.html" rel="bookmark">《Swift开发实战》&mdash;&mdash;第2章，第2&period;2节简单值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 简单值 在Swift语言中,使用关键字&quot;let&quot;来声明常量,使用关键字&quot;var&quot;来声明变量.对于一个Swift常量值来说,在编译时并不需要有一个明确的值,但是只能为这个常量赋值一次.也就是说,可以用常量来表示一个只需要决定一次但是需要使用很多次的值.例如,在本章前面的实例2-1中,如下都是声明常量值的实现代码. var value=123; var i:Int = 0; var num=0; 常量或者变量的类型必须和赋给它们的值一样,在进行声明操作时,可以选			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmBxkBz.html" rel="bookmark">《Swift开发实战》&mdash;&mdash;第1章，第1&period;4节启动iOS 8模拟器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 启动iOS 8模拟器 Xcode是一款功能全面的应用程序,通过此工具可以轻松输入.编译.调试并执行Swift程序.如果想在Mac上快速开发iOS应用程序,则必须学会使用这个强大的工具的方法.接下来将简单介绍使用Xcode编辑启动模拟器的基本方法. (1)Xcode位于&quot;Developer&quot;文件夹内中的&quot;Applications&quot;子文件夹中,快捷图标如图1-48所示. (2)启动Xcode 6后的初始界面如图1-49所示,在此可以设置创建新工程还是打开一个已存			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx2eDBz.html" rel="bookmark">《Swift开发实战》&mdash;&mdash;第2章，第2&period;3节流程控制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 流程控制在本章前面的实例2-1程序中,下面这些都是实现流程控制工作的实现代码. switch(&quot;abc&quot;) { case &quot;123&quot;: println(&quot;123&quot;); case &quot;456&quot;,&quot;abc&quot;: println(&quot;123 abc &quot;); default: println(&quot;没有找到合适的匹配&quot;); } var i:Int = 0; while( i&l			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVXEVM.html" rel="bookmark" class="title">使用jQuery选择复杂HTML的遍历函数</a>
					<div>
						jQuery中10个非常有用的遍历函数 使用jQuery,可以很容易的选择HTML元素.但有些时候,在HTML结构较为复杂时,提炼我们选择的元素就是一件麻烦的事情.在这篇教程中,我们将探讨十种方法去精 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqvYRp.html" rel="bookmark" class="title">用PHP来写记数器（详细介绍）</a>
					<div>
						PHP实例剖析:计数器 作者:Sucre_tiger 本款计数器用文本计数,没有用到数据库,可以实现如下功能: 利用一个文本文件实现多个页的计数减少服务器的I/O占用率在需要纪录的文件里,只需加入很少 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3nm7z.html" rel="bookmark" class="title">空间选择心得总结让每一名站长选择适合自己的空间</a>
					<div>
						本人这是第一次在admin5上发表文章,我以前都是每天在admin5的首页观看资讯内容和其他站长的分享,今日我鼓足了勇气,自己写了一篇空间选择的心得,这些心得是我自己经过的或者实践过的经验,希望我的分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2y4a3z.html" rel="bookmark" class="title">ORACLE空间管理实验（二） 区的管理与分配</a>
					<div>
						内容基于LMT管理的表空间,字典管理已经不用了. 本篇主要验证了这些问题: 1.LMT管理的表空间,区的分配有两种方法: 系统分配和UNIFORM固定大小--&gt;见实验 2.验证Oracle找寻可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balKAmz.html" rel="bookmark" class="title">WF 4&period;0基础篇&lpar;五&rpar; 数据的传递 Variable变量</a>
					<div>
						本节主要介绍如何在WF4.0中使用变量,以及为变量赋值 本文例子下载: http://files.cnblogs.com/foundation/VariablesSample.rar http://f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOWVRM.html" rel="bookmark" class="title">WPS演示中的参考线实现精确定位</a>
					<div>
						Wps演示制作过程,用户想知道插入的图片中各对象的位置和大小,一般不容易完成,如何解决这个问题呢? 方法有很多,其中一种就是利用参考线来完成这个任务. Wps演示中的参考线是默认的水平和垂直方向的两条 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yKDvz.html" rel="bookmark" class="title">让IE8突破同时下载2个文件的限制</a>
					<div>
						  增加连接数 先点击&quot;开始&quot;菜单,打开&quot;运行&quot;,在输入框中输入regedit来开启注册表. 在注册表中找到如下位置&quot;HKEY_CURRENT_USE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjPELb.html" rel="bookmark" class="title">Win 8系统登录密码</a>
					<div>
						  PIN码创建: Windows 8中的PIN码由四个数字组成,在&quot;电脑设置&quot;中进行创建.当我们打开设置后,点击更改电脑设置选择用户选项,在其中就会有PIN码的加密设置,点击创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7Y8vb.html" rel="bookmark" class="title">腾讯电脑管家财产保镖能保护哪几类应用</a>
					<div>
						  财产保镖保护网游.购物.订火车票.团购.社区聊天.手机充值.预定机票.视频音乐.网银.其他十大类软件和网站. 目前8.0及其后续版本的电脑管家,针对财产保镖的功能有些调整,在该版本已经将财产保镖的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42ga8M.html" rel="bookmark" class="title">【吐槽】博客园新的原创文章在搜索引擎的排名不及转载的站点</a>
					<div>
						最近写博客比较多,但发现文章被一些网站转载后,排名比博客园的链接还要高,有些搜索引擎甚至连博客园的链接都没有,坑爹,坑爹... 以前博客园的网友也遇到过类似的情况,也分享过一些防转载的经验,不过太麻烦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlmYQb.html" rel="bookmark" class="title">Oracle数据泵&lpar;Data Dump&rpar;错误汇集</a>
					<div>
						Oracle数据泵(Data Dump)使用过程当中经常会遇到一些奇奇怪怪的错误案例,下面总结一些自己使用数据泵(Data Dump)过程当中遇到的问题以及解决方法.都是在使用过程中遇到的问题,以后陆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NkYqM.html" rel="bookmark" class="title">tcl编程问题-新手tcl编程~急请大家帮忙</a>
					<div>
						问题描述 新手tcl编程~急请大家帮忙 最近在用tcl编辑界面,但是只能用英文显示,如何设置才能显示中文字符?求解~ 解决方案 我对这个tcl编程软件不熟,你可以在网上搜一搜看有没有汉化包,如果有的话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDW5Blp.html" rel="bookmark" class="title">struts2 项目中使用filter获取</a>
					<div>
						我在ssh 项目中使用过滤器filter 拦截一个请求,然后在filter中想获取request(使用),然后获取请求体. filter中部分代码如下:   Java代码   for (int i = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6qExb.html" rel="bookmark" class="title">jQuery使用手册（收藏）</a>
					<div>
						一直使用prototype.js,因为prototype的风格与ruby相似,用起来很舒服:这两天抽空看看jQuery,也是个很优秀的js基础库,特别是在选择器方面,相当实用.转自:http://ww ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmLo8z.html" rel="bookmark" class="title">从代码分析Android-Universal-Image-Loader的图片加载、显示流程</a>
					<div>
						从UNIVERSAL IMAGE LOADER. PART 3(四个DisplayImage重载方法详解)中,我们学习了Android-Universal-Image-Loader(以下简称UIL)中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lJXxb.html" rel="bookmark" class="title">asp&period;net 网页拖选一行文字，弹出一个按钮，将改行文字传回后台</a>
					<div>
						问题描述 asp.net 网页拖选一行文字,弹出一个按钮,将改行文字传回后台 asp.net 网页拖选一行文字,弹出一个按钮,将改行文字传回后台 具体的实现效果就如:再浏览器中,选中文字,出现搜索按钮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr02oM.html" rel="bookmark" class="title">poj 1543 Perfect Cubes【sort排序结构体】</a>
					<div>
						1543完全可以用暴力解决...我这里是暴力结束后用 sort 排序结构体,sort真是很给力的一个函数,在cmp中间先判断 P.a 的大小,在判断 P.b 的大小,开始WA了两次,是没考虑清楚 P. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod2QjM.html" rel="bookmark" class="title">专家回应央视屏蔽外文缩略词：先取消&OpenCurlyDoubleQuote;CCTV&rdquo;</a>
					<div>
						央视日前接到有关部门下发的通知,要求在央视今后的转播中必须屏蔽一些外文缩略词,如&quot;NBA&quot;,必须要叫&quot;美国职业篮球联赛&quot;,&quot;F1&quot;必须叫 & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7OPKz.html" rel="bookmark" class="title">在SurfaceView extends Surface中定义了class&comma;在里面重载onkeyup，就是执行不了</a>
					<div>
						问题描述 在SurfaceView extends Surface中定义了class,在里面重载onkeyup,就是执行不了 代码如下: package com.rzy.plane; import j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjdg0M.html" rel="bookmark" class="title">爱立信CEO：中印美日等经济体发展态势良好</a>
					<div>
						[赛迪网讯]10月23日消息 爱立信总裁兼http://www.aliyun.com/zixun/aggregation/32086.html&quot;&gt;首席执行官思文凯近日表示,920.ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAo61b.html" rel="bookmark" class="title">请教高手如何实现flash和asp&period;net的数据交互&quest;</a>
					<div>
						问题描述 达人们,我现在想在asp.ne中实现和flash的数据交互,也就是在asp.ner的html中嵌入一个flash,然后可以给flash传入数据让他显示,点击flash也可以触发事件,请高手们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Rln7z.html" rel="bookmark" class="title">BGP边界网关协议</a>
					<div>
						BGP(Border GatewayProtocol)边界网关协议,用来连接Internet上独立系统的路由选择协议.它是Internet工程任务组制定的一个加强的.完善的.可伸缩的协议.BGP4支持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN0VxM.html" rel="bookmark" class="title">批量部署Hadoop集群环境（1）</a>
					<div>
						批量部署Hadoop集群环境(1) 1. 项目简介: 前言:云火的一塌糊涂,加上自大二就跟随一位教授做大数据项目,所以很早就产生了兴趣,随着知识的积累,虚拟机已经不能满足了,这次在服务器上以生产环境来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKJQmz.html" rel="bookmark" class="title">AngularJs实现ng1&period;3&plus;表单验证&lowbar;AngularJS</a>
					<div>
						前一篇文章详解AngularJS实现表单验证说过,ng1.3+以后对于表单验证有了优化,它不再需要一个详细的表达式状态创建元素显示或隐藏. 例如:我们在ng1.3之前的版本都需要如下写法: 复制代码  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0nowp.html" rel="bookmark" class="title">PHP&amp;amp&semi;MYSQL服务器配置说明&lowbar;php基础</a>
					<div>
						Apache 1.3.22 for Win32+PHP 4.0.6+Active Perl 5.006001+Zend Optimizer v1.1.0+mod_gzip 1.3.19.1a+MySQ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKn28z.html" rel="bookmark" class="title">c&plus;&plus;连接mysql数据库的两种方法&lpar;ADO连接和mysql api连接&rpar;&lowbar;C 语言</a>
					<div>
						第一种方法可以实现我当前的需求,通过连接不同的字符串来连接不同的数据库.暂时只连接了mysql,sqlserver,oracle,access.对于access,因为它创建表的SQL语句不太兼容标准S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1W6Bb.html" rel="bookmark" class="title">智慧教育新方案 杰和P269产品解析</a>
					<div>
						&quot;工欲善其事,必先利其器&quot;.在信息技术高速发展的今天,校园教育不断信息化.数字化,以交互式电子白板为代表的电教设备逐渐取代传统的黑板教学,成为教学改革&quot;利器&quot;, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z3YAz.html" rel="bookmark" class="title">tomcat http请求 请牛人！！！</a>
					<div>
						问题描述 1.客户端可以发送http请求,但是服务器端不返回http包2.服务器端的Tomcat线程存在,cpu使用率不高,内存消耗很低3.每隔一段时间重启Tomcat后,就又可以正常访问这个是什么原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrkgEp.html" rel="bookmark" class="title">Openstack&lowbar;通用模块&lowbar;Oslo&lowbar;vmware 创建 vSS PortGroup</a>
					<div>
						目录 目录 vSS vSSPG vSphere SDK 中相关的网络对象 创建 vSS PortGroup vSS &amp; vSSPG vSS(Standard vSwitch 标准交换机) 为在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxgeRjb.html" rel="bookmark" class="title">【云图】如何设置支付宝里的家乐福全国连锁店地图？</a>
					<div>
						原文:[云图]如何设置支付宝里的家乐福全国连锁店地图?  摘要:本文详细讲解了,如何设置支付宝服务窗.商家如何将自己的全国连锁店放置到云图上,并且在支付宝服务窗中提供地图查询功能.本文所包含的地图服务 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
